/*
 * summary statistics JH Zhao 8-9-1999 IoP
 */
libname x '.';

%macro brief(data,title);
title &title;
proc freq data=x.&data;
  table p1-p5;
run;
data set;
  set x.&data (drop=p1-p5);
  array col _numeric_;
  do over col;
     if col>10 then col=10;
  end;
run;
proc means n mean std;
run;
%mend;

options nodate nonumber nocenter formchar=' ----------';
%brief(set1,'Scenario 1');
%brief(set2,'Scenario 2');
%brief(set3,'Scenario 3');
%brief(set4,'Scenario 4');
%brief(set5,'Scenario 5');
%brief(set6,'Scenario 6');
%brief(set7,'Scenario 7');

